#Region ;**** Directives created by AutoIt3Wrapper_GUI ****
#AutoIt3Wrapper_UseX64=n
#EndRegion ;**** Directives created by AutoIt3Wrapper_GUI ****
#include <ButtonConstants.au3>
#include <GUIConstantsEx.au3>
#include <GUIListBox.au3>
#include <WindowsConstants.au3>
#Region ### START Koda GUI section ### Form=C:\Users\Greg\Desktop\autoit\ubnt-radio-shut\Form1.kxf
$Form1 = GUICreate("Ubiquiti Radio Control - GregSowell.com", 548, 438, 192, 124)
$List1 = GUICtrlCreateList("", 8, 8, 401, 409)
$btnShutAll = GUICtrlCreateButton("Shutdown All", 432, 16, 105, 25)
$btnEnableAll = GUICtrlCreateButton("Enable All", 432, 47, 105, 25)
$btnShutOne = GUICtrlCreateButton("Shutdown One", 432, 79, 105, 25)
$btnEnableOne = GUICtrlCreateButton("Enable One", 432, 111, 105, 25)
$btnSSHKey = GUICtrlCreateButton("SSH Key", 432, 143, 105, 25)
GUISetState(@SW_SHOW)
#EndRegion ### END Koda GUI section ###
#include <file.au3>

;load config file
Dim $aRadios
If Not _FileReadToArray(@ScriptDir & "\radiolist.txt",$aRadios) Then
   MsgBox(4096,"Error", " Error reading log to Array     error:" & @error)
   Exit
EndIf
For $x = 1 to $aRadios[0]
;    Msgbox(0,'Record:' & $x, $aRadios[$x])
	GUICtrlSetData($List1,$aRadios[$x])
Next

$username = InputBox("Username for radios", "Enter the username to login with")
$password = InputBox("Password for radios", "Enter the password.","","*")

While 1
	$nMsg = GUIGetMsg()
	Switch $nMsg
		Case $GUI_EVENT_CLOSE
			Exit
		case $btnShutAll
			$sure = MsgBox(4,"Disable all?","Are you sure you want to disable all radios?")
			if $sure == 6 Then
				_ShutAll()
			EndIf

		Case $btnEnableAll
			_EnableAll()

		Case $btnShutOne
			_ShutOne()

		Case $btnEnableOne
			_EnableOne()

		Case $btnSSHKey
			_SSHKey()

	EndSwitch
WEnd

Func _SSHKey()
	;
	For $x = 1 to $aRadios[0]
		$CLIip = StringMid($aRadios[$x], StringInStr($aRadios[$x], ",") + 1)
		;Run(@ComSpec & " /c " & FileGetShortName(@ScriptDir) & '\plink.exe -ssh -l ' & $user & ' -pw ' & $password & ' -m ' & FileGetShortName(@ScriptDir) & '\commands.txt ' & $CLIip & ' > ' & $CLIfile, "", @SW_HIDE)
		;Run(@ComSpec & " /c " & FileGetShortName(@ScriptDir) & '\plink.exe -ssh -l ' & $username & ' -pw ' & $password & ' -m ' & FileGetShortName(@ScriptDir) & '\down.txt ' & $CLIip, "", @SW_HIDE)
		;MsgBox(0,0,@ComSpec & " /c " & FileGetShortName(@ScriptDir) & '\plink.exe -ssh -l ' & $username & ' -pw ' & $password & ' -m ' & FileGetShortName(@ScriptDir) & '\down.txt ' & $CLIip, "", @SW_HIDE)
		Run(@ComSpec & " /c " & FileGetShortName(@ScriptDir) & '\plink.exe -ssh ' & $CLIip)
	Next

EndFunc

Func _ShutAll()
	;
	For $x = 1 to $aRadios[0]
		$CLIip = StringMid($aRadios[$x], StringInStr($aRadios[$x], ",") + 1)
		;Run(@ComSpec & " /c " & FileGetShortName(@ScriptDir) & '\plink.exe -ssh -l ' & $user & ' -pw ' & $password & ' -m ' & FileGetShortName(@ScriptDir) & '\commands.txt ' & $CLIip & ' > ' & $CLIfile, "", @SW_HIDE)
		Run(@ComSpec & " /c " & FileGetShortName(@ScriptDir) & '\plink.exe -ssh -l ' & $username & ' -pw ' & $password & ' -m ' & FileGetShortName(@ScriptDir) & '\down.txt ' & $CLIip, "", @SW_HIDE)
		;MsgBox(0,0,@ComSpec & " /c " & FileGetShortName(@ScriptDir) & '\plink.exe -ssh -l ' & $username & ' -pw ' & $password & ' -m ' & FileGetShortName(@ScriptDir) & '\down.txt ' & $CLIip, "", @SW_HIDE)
	Next

EndFunc

Func _EnableAll()
	;
	For $x = 1 to $aRadios[0]
		$CLIip = StringMid($aRadios[$x], StringInStr($aRadios[$x], ",") + 1)
		;Run(@ComSpec & " /c " & FileGetShortName(@ScriptDir) & '\plink.exe -ssh -l ' & $user & ' -pw ' & $password & ' -m ' & FileGetShortName(@ScriptDir) & '\commands.txt ' & $CLIip & ' > ' & $CLIfile, "", @SW_HIDE)
		Run(@ComSpec & " /c " & FileGetShortName(@ScriptDir) & '\plink.exe -ssh -l ' & $username & ' -pw ' & $password & ' -m ' & FileGetShortName(@ScriptDir) & '\up.txt ' & $CLIip, "", @SW_HIDE)
		;MsgBox(0,0,@ComSpec & " /c " & FileGetShortName(@ScriptDir) & '\plink.exe -ssh -l ' & $username & ' -pw ' & $password & ' -m ' & FileGetShortName(@ScriptDir) & '\up.txt ' & $CLIip, "", @SW_HIDE)
	Next

EndFunc

Func _ShutOne()
	;
	$CLIip = StringMid(GUICtrlRead($List1), StringInStr(GUICtrlRead($List1), ",") + 1)
	Run(@ComSpec & " /c " & FileGetShortName(@ScriptDir) & '\plink.exe -ssh -l ' & $username & ' -pw ' & $password & ' -m ' & FileGetShortName(@ScriptDir) & '\down.txt ' & $CLIip, "", @SW_HIDE)
	;MsgBox(0,0,@ComSpec & " /c " & FileGetShortName(@ScriptDir) & '\plink.exe -ssh -l ' & $username & ' -pw ' & $password & ' -m ' & FileGetShortName(@ScriptDir) & '\down.txt ' & $CLIip, "", @SW_HIDE)

EndFunc

Func _EnableOne()
	;
	$CLIip = StringMid(GUICtrlRead($List1), StringInStr(GUICtrlRead($List1), ",") + 1)
	Run(@ComSpec & " /c " & FileGetShortName(@ScriptDir) & '\plink.exe -ssh -l ' & $username & ' -pw ' & $password & ' -m ' & FileGetShortName(@ScriptDir) & '\up.txt ' & $CLIip, "", @SW_HIDE)
	;MsgBox(0,0,@ComSpec & " /c " & FileGetShortName(@ScriptDir) & '\plink.exe -ssh -l ' & $username & ' -pw ' & $password & ' -m ' & FileGetShortName(@ScriptDir) & '\up.txt ' & $CLIip, "", @SW_HIDE)

EndFunc